Bug 237619

Summary: clang assertion failed when building databases/clickhouse with -DENABLE_TESTS=1
Product: Base System Reporter: Kai Knoblich <kai>
Component: binAssignee: freebsd-bugs (Nobody) <bugs>
Status: Closed Overcome By Events    
Severity: Affects Only Me CC: cianipharco, olevole
Priority: ---    
Version: CURRENT   
Hardware: amd64   
OS: Any   
Attachments:
Description Flags
gtest_rw_lock-5a4ea8.cpp.gz / Clang diag file #1
none
gtest_rw_lock-5a4ea8.sh / Clang diag file #2 none

Description Kai Knoblich freebsd_committer 2019-04-28 00:27:58 UTC
While working on bug #237318 it came to light that Clang always crashes on 13.0-CURRENT@r346346 amd64 when the port databases/clickhouse is compiled with -DENABLE_TESTS=1:

Assertion failed: (getActiveBits() <= 64 && "Too many bits for uint64_t"), function getZExtValue, file /usr/local/poudriere/jails/13Camd64/usr/src/contrib/llvm/include/llvm/
ADT/APInt.h, line 1566.
c++: error: unable to execute command: Abort trap (core dumped)
c++: error: clang frontend command failed due to signal (use -v to see invocation)
FreeBSD clang version 8.0.0 (tags/RELEASE_800/final 356365) (based on LLVM 8.0.0)
Target: x86_64-unknown-freebsd13.0
Thread model: posix
InstalledDir: /usr/bin

On 11.2-RELEASE and 12.0-RELEASE the port can be built without problems, even if -DENABLE_TESTS=1 is set.
Comment 1 Kai Knoblich freebsd_committer 2019-04-28 00:30:27 UTC
Created attachment 204080 [details]
gtest_rw_lock-5a4ea8.cpp.gz / Clang diag file #1
Comment 2 Kai Knoblich freebsd_committer 2019-04-28 00:31:16 UTC
Created attachment 204081 [details]
gtest_rw_lock-5a4ea8.sh / Clang diag file #2
Comment 3 Marva Finley 2020-07-20 13:36:08 UTC
MARKED AS SPAM
Comment 4 olevole 2020-08-11 19:47:02 UTC
This should be fixed with the latest update ( 20.5.4.40-stable, https://svnweb.freebsd.org/ports?view=revision&revision=r544323 ).

I think this PR should be closed.
Comment 5 Kai Knoblich freebsd_committer 2020-09-11 18:32:49 UTC
(In reply to olevole from comment #4)

Thank you for the heads-up! I close this PR with "Overcome By Events" then.